﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloComprobantePago
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class documentosfxEntities : DbContext
    {
        public documentosfxEntities()
            : base("name=documentosfxEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<pago> pagoSet { get; set; }
        public virtual DbSet<pagoLinea> pagoLineaSet { get; set; }
        public virtual DbSet<pagoRelacionado> pagoRelacionadoSet { get; set; }
        public virtual DbSet<pagoTotales> pagoTotalesSet { get; set; }
        public virtual DbSet<pagoLineaImpuesto> pagoLineaImpuestoSet { get; set; }
        public virtual DbSet<pagoImpuesto> pagoImpuestoSet { get; set; }
        public virtual DbSet<pagoLineaRetencion> pagoLineaRetencionSet { get; set; }
        public virtual DbSet<pagoRetencion> pagoRetencionSet { get; set; }
    }
}
